Module javafx.graphics
Package javafx.scene.effect

## Enum BlurType

- java.lang.Object
- - java.lang.Enum<BlurType>
  - - javafx.scene.effect.BlurType

- All Implemented Interfaces:
    `Serializable`, `Comparable<BlurType>`, `Constable`

      public enum BlurType
      extends Enum<BlurType>

  Represents the type of blur algorithm that is used to soften a `Shadow` effect.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GAUSSIAN` | A Gaussian blur kernel is used to blur the shadow with very high quality.
    `ONE_PASS_BOX` | A single pass of a box filter is used to blur the shadow.
    `THREE_PASS_BOX` | Three passes of a box filter are used to blur the shadow for an effect that is almost as smooth as a Gaussian filter.
    `TWO_PASS_BOX` | Two passes of a box filter are used to blur the shadow for a slightly smoother effect.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static BlurType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BlurType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_PASS_BOX

          public static final BlurType ONE_PASS_BOX

      A single pass of a box filter is used to blur the shadow.

    - #### TWO_PASS_BOX

          public static final BlurType TWO_PASS_BOX

      Two passes of a box filter are used to blur the shadow for a slightly smoother effect.

    - #### THREE_PASS_BOX

          public static final BlurType THREE_PASS_BOX

      Three passes of a box filter are used to blur the shadow for an effect that is almost as smooth as a Gaussian filter.

    - #### GAUSSIAN

          public static final BlurType GAUSSIAN

      A Gaussian blur kernel is used to blur the shadow with very high quality.

  - ### Method Detail

    - #### values

          public static BlurType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlurType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null